//
// Here we declare the output types we'd expect from webpack for asset imports, that way TypeScript in VSCode
// can understand it even if it's actually being ignored when building

declare module '*.svg' {
    const content: any;
    export default content;
}

// Add missing URL.createObjectURL definition. This is necessary because webpack imports @types/node for some crazy reason, and
// that overrides the URL object with a different definition that doesn't include createObjectURL. This is a hack to fix it.
declare namespace URL {
    function createObjectURL(blob: Blob): string;
}

// Fix bestzip no types
declare module 'bestzip' {
    const content: any;
    export default content;
}
